table.Drawdowns {PerformanceAnalytics} | R Documentation

## Worst Drawdowns Summary: Statistics and Stylized Facts

### Description

Creates table showing statistics for the worst drawdowns.

### Usage

    table.Drawdowns(R, top = 5, digits = 4, geometric = TRUE, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`top` | the number of drawdowns to include
`digits` | number of digits to round results to
`geometric` | utilize geometric chaining (TRUE) or simple/arithmetic chaining (FALSE) to aggregate returns, default TRUE
`...` | any other passthru parameters

### Details

Returns an data frame with columns:

- From starting period, high water mark

- Trough period of low point

- To ending period, when initial high water mark is recovered

- Depth drawdown to trough (typically as percentage returns)

- Length length in periods

- toTrough number of periods to trough

- Recovery number of periods to recover

### Author(s)

Peter Carl

### References

Bacon, C. Practical Portfolio Performance Measurement and Attribution. Wiley. 2004. p. 88

### See Also

`DownsideDeviation`
`maxDrawdown`
`findDrawdowns`
`sortDrawdowns`
`chart.Drawdown`
`table.DownsideRisk`

### Examples

    data(edhec)
    table.Drawdowns(edhec[,1,drop=FALSE])
    table.Drawdowns(edhec[,12,drop=FALSE])
    data(managers)
    table.Drawdowns(managers[,8,drop=FALSE])

    result=table.Drawdowns(managers[,1,drop=FALSE])

    # This was really nice before Hmisc messed up 'format' from R-base
    #require("Hmisc")
    #textplot(Hmisc::format.df(result, na.blank=TRUE, numeric.dollar=FALSE,
    #           cdec=c(rep(3,4), rep(0,3))), rmar = 0.8, cmar = 1.5,
    #           max.cex=.9, halign = "center", valign = "top", row.valign="center",
    #           wrap.rownames=5, wrap.colnames=10, mar = c(0,0,3,0)+0.1)
    # title(main="Largest Drawdowns for HAM1")

[Package PerformanceAnalytics version 1.5.3 Index]